###########################################################################################################
###	Documentation:											
###	https://www.kernel.org/doc/Documentation/kbuild/kconfig-language.txt				
###########################################################################################################



menu "Button Module configuration"
	depends on USE_HMI

	config USE_BUTTON
		bool "Enable Button Module"
		default n
		
	config DEFAULT_BUTTON_LONG_PRESS_DURATION					
		int "Set the Duration of the Long Press Interaction"
		range 3000 10000 
		default 5000
		depends on USE_BUTTON
		help
			Long Press duration measure in milli-seconds
		
	config DEFAULT_BUTTON_SHORT_PRESS_DURATION				
		int "Set the Duration of the Short Press Interaction"
		range 500 1000 
		default 500
		depends on USE_BUTTON
		help
			Short Press duration measure in milli-seconds
		
	config DEFAULT_BUTTON_DOUBLE_PRESS_INTERVAL_DURATION
		int "Set the Interval Duration between Double Presses"
		range 150 300 
		default 250
		depends on USE_BUTTON
		help
			Interval Duration between Double Presses measure in milli-seconds
		
	config DEFAULT_BUTTON_PRESS_DURATION
		int "Set the Duration of the button Press for Double Press Interaction"
		range 100 200
		default	200
		depends on USE_BUTTON
		help
			Button Press duration measure in milli-seconds

endmenu